<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head xmlns="">
        <title>会员注册-{#YXShopRivetTag*网站名称#}-{#YXShopRivetTag*网站标题#}</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta content="{#YXShopRivetTag*网站关键字#}" name="keywords" />
        <meta content="{#YXShopRivetTag*网站描述#}" name="description" />
        <meta content="{#YXShopRivetTag*网站关键字#}" name="keywords" />
        <meta content="{#YXShopRivetTag*网站描述#}" name="description" />
        <link href="{#YXShopRivetTag*网站虚拟路径#}favicon.ico" rel="shortcut icon" />
        <link href="{#YXShopRivetTag*网站虚拟路径#}templates/yxshop_template/green/css/yxshop_main.css" type="text/css" rel="stylesheet" />
        <link href="{#YXShopRivetTag*网站虚拟路径#}templates/yxshop_template/green/css/yxshop_head.css" type="text/css" rel="stylesheet" />
        <script src="{#YXShopRivetTag*网站虚拟路径#}scripts/prototype.js" type="text/javascript"></script>
        <script src="{#YXShopRivetTag*网站虚拟路径#}admin/scripts/public.js" type="text/jscript"></script>
        <script src="{#YXShopRivetTag*网站虚拟路径#}scripts/login.js" type="text/javascript"></script>
        <script type="text/javascript" language="javascript">    
            function getindex()
            {
                var selectType=document.getElementById("question");
                document.myreg.hfQuestion.value=selectType.options[selectType.selectedIndex].value;
            }
            window.onerror=function()
            {
                return true;
            }
            
            function onName()
        {
	    if($("regusername").value=="")
		{
		   
		   $("spname").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入您的用户名！";
		   $("spname").style.color="#000000";
		   return false;
		}
		else if($("regusername").value.length<6||$("regusername").value.length>20)
		{
		     $("spname").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;您的用户名长度只能在6-20位字符之间!";
			 $("spname").style.color="#000000";
		   return false;
		}
		else
		{
		  var param = "Option=Main&UserName="+$("regusername").value;
         var options={
        method:'post',
        parameters:param,
        onComplete:
        function(transport)
	    {
	      var retv=transport.responseText;
	      if(retv!="")
	      {
	         $("spname").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;"+retv+"";
	      }
	      else
	      {
	         $("spname").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
	      }
	      $("spname").style.color="#000000";
		}     
	    }
	   new  Ajax.Request('{#YXShopRivetTag*网站虚拟路径#}filehandle/userregform.ashx',options);
		}
		
	}
	function onuserpwd()
	{
	    if($("reguserpwd").value=="")
		{
		   $("sppwd").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请设置您密码！";
		   $("sppwd").style.color="#000000";
		   return false;
		}
		else if($("reguserpwd").value.length<6||$("reguserpwd").value.length>16)
		{
		     $("sppwd").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;您设置密码长度只能在6-16位字符之间!";
			 $("sppwd").style.color="#000000";
		   return false;
		}
		else
		{
		  $("sppwd").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
		
	}
	function onRepwd()
	{
	   if($("regrepwd").value!=$("reguserpwd").value)
		{
		   $("sprepwd").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;两次输入的密码不一致！";
		   $("sprepwd").style.color="#000000";
		   return false;
		}
		else
		{
		  $("sprepwd").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
	}
	
	function oninsolution()
	{
	    if($("insolution").value=="")
		{
		   $("spinsolution").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入答案！";
		   $("spinsolution").style.color="#000000";
		   return false;
		}
		else if($("insolution").value.length<3||$("insolution").value.length>30)
		{
		     $("spinsolution").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;您答案长度只能在3-30位字符之间!";
			 $("spinsolution").style.color="#000000";
		   return false;
		}
		else
		{
		  $("spinsolution").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
		
	}
	function oninsolution()
	{
	    if($("question").value=="")
		{
		   $("spquestion").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必选项，请选择密码保护问题！";
		   $("spquestion").style.color="#000000";
		   return false;
		}
		else
		{
		  $("spquestion").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
	    if($("insolution").value=="")
		{
		   $("spinsolution").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入答案！";
		   $("spinsolution").style.color="#000000";
		   return false;
		}
		else if($("insolution").value.length<3||$("insolution").value.length>30)
		{
		     $("spinsolution").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;您答案长度只能在3-30位字符之间!";
			 $("spinsolution").style.color="#000000";
		   return false;
		}
		else
		{
		  $("spinsolution").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
		
	}
	function onEmail()
	{
	   var reg =/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*(\.[A-Za-z0-9]{2,3})$/;
	   if($("Email").value=="")
		{
		   $("spEmail").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入E_mali！";
		   $("spEmail").style.color="#000000";
		   return false;
		}
		else if(!reg.test($("Email").value))
		{
		     $("spEmail").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;您输入Email格式不正确!";
			 $("spEmail").style.color="#000000";
		   return false;
		}
		else
		{
		  $("spEmail").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
		
	}
	function onRegName()
	{
	   if($("RegName").value=="")
		{
		   $("spRegName").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入您的真实姓名！";
		   $("spRegName").style.color="#000000";
		   return false;
		}
		else if($("RegName").value.length<2||$("RegName").value.length>8)
		{
		     $("spRegName").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;您真实姓名长度只能在2-8位字符之间!";
			 $("spRegName").style.color="#000000";
		   return false;
		}
		else
		{
		  $("spRegName").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
		
	}
	function onRegEmailTM()
	{
	   if($("RegEmailTM").value=="")
		{
		   $("spRegEmailTM").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入您的电子邮箱TM号！";
		   $("spRegEmailTM").style.color="#000000";
		   return false;
		}
		else
		{
		  $("spRegEmailTM").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
		
	}
	function onRegTel()
	{
	   if($("RegTel").value=="")
		{
		   $("spRegTel").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入您的固定电话！";
		   $("spRegTel").style.color="#000000";
		   return false;
		}
		else
		{
		  $("spRegTel").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
		
	}
	function onRegCompanyAddress()
	{
	   if($("RegCompanyAddress").value=="")
		{
		   $("spRegCompanyAddress").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入您的固定电话！";
		   $("spRegCompanyAddress").style.color="#000000";
		   return false;
		}
		else if($("RegCompanyAddress").value.length<4||$("RegCompanyAddress").value.length>50)
		{
		     $("spRegCompanyAddress").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;您公司地址长度只能在4-50位字符之间!";
			 $("spRegCompanyAddress").style.color="#000000";
		   return false;
		}
		else
		{
		  $("spRegCompanyAddress").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
		
	}
	function onRegMSN()
	{
	   if($("RegMSN").value=="")
		{
		   $("spRegMSN").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入您的MSN！";
		   $("spRegMSN").style.color="#000000";
		   return false;
		}
		else
		{
		  $("spRegMSN").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
		
	}
	function onRegStreet()
	{
	   if($("RegStreet").value=="")
		{
		   $("spRegStreet").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入街道地址！";
		   $("spRegStreet").style.color="#000000";
		   return false;
		}
		else if($("RegStreet").value.length<4||$("RegStreet").value.length>50)
		{
		     $("spRegStreet").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;街道地址长度只能在4-50位字符之间!";
			 $("spRegStreet").style.color="#000000";
		   return false;
		}
		else
		{
		  $("spRegStreet").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
		
	}
	function onRegFax()
	{
	   if($("RegFax").value=="")
		{
		   $("spRegFax").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入您的传真！";
		   $("spRegFax").style.color="#000000";
		   return false;
		}
		else
		{
		  $("spRegFax").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
		
	}
	function onRegPhone()
	{
	   if($("RegPhone").value=="")
		{
		   $("spRegPhone").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入您的手机！";
		   $("spRegPhone").style.color="#000000";
		   return false;
		}
		else
		{
		  $("spRegPhone").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
		
	}
	function onRegCode()
	{
	   if($("RegCode").value=="")
		{
		   $("spRegCode").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入您的邮编！";
		   $("spRegCode").style.color="#000000";
		   return false;
		}
		else if($("RegCode").value.length!=6)
		{
		     $("spRegCode").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;邮编格式不正确!";
			 $("spRegCode").style.color="#000000";
		   return false;
		}
		else
		{
		  $("spRegCode").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
		
	}
	function onRegCompanyName()
	{
	   if($("RegCompanyName").value=="")
		{
		   $("spRegCompanyName").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入您的邮编！";
		   $("spRegCompanyName").style.color="#000000";
		   return false;
		}
		else if($("RegCompanyName").value.length<4||$("RegCompanyName").value.length>50)
		{
		     $("spRegCompanyName").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;公司名称长度只能在4-50位字符之间!";
			 $("spRegCompanyName").style.color="#000000";
		   return false;
		}
		else
		{
		  $("spRegCompanyName").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
		
	}
	function onRegPost()
	{
	   if($("RegPost").value=="")
		{
		   $("spRegPost").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入您的邮编！";
		   $("spRegPost").style.color="#000000";
		   return false;
		}
		else if($("RegPost").value.length<4||$("RegPost").value.length>16)
		{
		     $("spRegPost").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;您的职位长度只能在4-16位字符之间!";
			 $("spRegPost").style.color="#000000";
		   return false;
		}
		else
		{
		  $("spRegPost").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
		
	}
	function onRegverify()
	{
	   if($("Regverify").value=="")
		{
		   $("spRegverify").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入验证码！";
		   $("spRegverify").style.color="#000000";
		   return false;
		}
		else
		{
		  $("spRegverify").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
		
	}
	
	function RegionVerify()
	{
	    if($("regusername").value=="")
		{
		   $("spname").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入您的用户名！";
		   $("spname").style.color="#000000";
		   return false;
		}
		else if($("regusername").value.length<4||$("regusername").value.length>20)
		{
		     $("spname").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;您的用户名长度只能在4-20位字符之间!";
			 $("spname").style.color="#000000";
		   return false;
		}
		else
		{
		var param = "Option=Main&UserName="+$("regusername").value;
         var options={
        method:'post',
        parameters:param,
        onComplete:
        function(transport)
	    {
	      var retv=transport.responseText;
	      if(retv!="")
	      {
	         $("spname").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;"+retv+"";
	      }
	      else
	      {
	         $("spname").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
	      }
	      $("spname").style.color="#000000";
	      $("spname").style.color="#000000";
		}     
	    }
	         new  Ajax.Request('{#YXShopRivetTag*网站虚拟路径#}filehandle/userregform.ashx',options);
		}
		if($("spname").innerText!="")
		{
		   return false;
		}
		else
		{
		   $("spname").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
		
	    if($("reguserpwd").value=="")
		{
		   $("sppwd").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请设置您密码！";
		   $("sppwd").style.color="#000000";
		   return false;
		}
		else if($("reguserpwd").value.length<4||$("reguserpwd").value.length>16)
		{
		     $("sppwd").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;您设置密码长度只能在4-16位字符之间!";
			 $("sppwd").style.color="#000000";
		   return false;
		}
		else
		{
		  $("sppwd").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
	   if($("regrepwd").value!=$("reguserpwd").value)
		{
		   $("sprepwd").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;两次输入的密码不一致！";
		   $("sprepwd").style.color="#000000";
		   return false;
		}
		else
		{
		  $("sprepwd").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
	    if($("insolution").value=="")
		{
		   $("spinsolution").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入答案！";
		   $("spinsolution").style.color="#000000";
		   return false;
		}
		else if($("insolution").value.length<3||$("insolution").value.length>30)
		{
		     $("spinsolution").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;您答案长度只能在2-30位字符之间!";
			 $("spinsolution").style.color="#000000";
		   return false;
		}
		else
		{
		  $("spinsolution").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
	    if($("question").value=="")
		{
		   $("spquestion").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必选项，请选择密码保护问题！";
		   $("spquestion").style.color="#000000";
		   return false;
		}
		else
		{
		  $("spquestion").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
	    if($("insolution").value=="")
		{
		   $("spinsolution").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入答案！";
		   $("spinsolution").style.color="#000000";
		   return false;
		}
		else if($("insolution").value.length<3||$("insolution").value.length>30)
		{
		     $("spinsolution").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;您答案长度只能在2-30位字符之间!";
			 $("spinsolution").style.color="#000000";
		   return false;
		}
		else
		{
		  $("spinsolution").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
		
	   var reg =/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*(\.[A-Za-z0-9]{2,3})$/; 
	   if($("Email").value=="")
		{
		   $("spEmail").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;此项为必填项，请输入E_mail！";
		   $("spEmail").style.color="#000000";
		   return false;
		}
		else if(!reg.test($("Email").value))
		{
		     $("spEmail").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;您输入Email格式不正确!";
			 $("spEmail").style.color="#000000";
		   return false;
		}
		 else
		{
		  $("spEmail").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_right.gif\'/>";
		}
		if($("cbagreement").checked==false)
		{  
		  $("spment").innerHTML="<img src=\'{#YXShopRivetTag*网站虚拟路径#}images/check_error.gif\'/>&nbsp;<span style=\"color:Red\">请阅读并同意《商城服务条款》</span>";
		  $("spment").style.color="#000000";
		  return false;
		}
		
	}
	
	
      </script>
    </head>
    <body style="text-align: center; font-size:12px" align="Center">
        {#YXShopRivetTag*网站头部#}
        <div style="margin-bottom:5px;">
        <ul class="pro-pl">
            <li>&#160;&#160;当前位置：<a href="{#YXShopRivetTag*网站虚拟路径#}default.aspx">首页</a> &gt;&gt; 会员注册</li>
        </ul>
        </div>
 
        <form  id="myreg" action="{#YXShopRivetTag*网站虚拟路径#}filehandle/userregform.ashx" method="post" onsubmit="return RegionVerify()" name="myreg">
        {#YXShopDefinTag*会员注册#}
        </form>
        
           <div id="copyright">
           
    <ul>
        {#YXShopDefinTag*易想资讯#}
    </ul>
</div> 
       {#YXShopRivetTag*网站底部#}
    </body>
</html>
